Subject: RE: [Dime] Re: Reg. the IPSEC Usage section.

From: "Soji VP" <[email-masked]>
Date: Tue, 10 Jul 2007 19:13:16 +0530

Hi Victor,

I've a follow-up question on this. Consider a scenario where node A and
node B is trying to exchange CER/A and both of them doesn't support TLS.
Node A support IpSec but node B doesn't. 
In this case, what would be the inband-security-id avp in CER/A? 

Again, what would be the inband-security-id AVP in CER/A if both of them
support IpSec?

Can I assume NO_INBAND_SECURITY only if both of them doesn't support TLS
and IPSec? 

As security is mandatory for Diameter (sec 2.2), transmission should be
able to proceed further with IPSec support, eventhough nodes doesn't
support TLS. But how can I exchange security capability with
inband-security-id avp?

Thanks,
-Soj.

-----Original Message-----
From: Victor Fajardo [mailto:[email-masked]] 
Sent: Tuesday, July 10, 2007 6:02 PM
To: Arun Santhanam, TLS-Chennai
Cc: [email-masked]
Subject: [Dime] Re: Reg. the IPSEC Usage section.

Yes this has been removed intentionally. The idea is to simplify the 
spec. Since IPSec can be used independent of diameter protocol (i.e.; 
diameter protocol itself does not have internal working dependency on 
it), the IPsec usage section can be safely removed without harming the 
protocol.
-- victor

> Hi Victor,
>
>          I was just going through the draft-ietf-dime-rfc3588bis-04 I 
> find that the IPSEC Usage (Section 13.1 in the RFC 3588) has been 
> removed in the new bis.  Is it intentionally removed?  If so please 
> let me know the reason.
>
> Thx
>
> -Arun
>
>  
>
> DISCLAIMER:
>
------------------------------------------------------------------------
-----------------------------------------------
>
> The contents of this e-mail and any attachment(s) are confidential and

> intended for the named recipient(s) only.
> It shall not attach any liability on the originator or HCL or its 
> affiliates. Any views or opinions presented in
> this email are solely those of the author and may not necessarily 
> reflect the opinions of HCL or its affiliates.
> Any form of reproduction, dissemination, copying, disclosure, 
> modification, distribution and / or publication of
> this message without the prior written consent of the author of this 
> e-mail is strictly prohibited. If you have
> received this email in error please delete it and notify the sender 
> immediately. Before opening any mail and
> attachments please check them for viruses and defect.
>
>
------------------------------------------------------------------------
-----------------------------------------------

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Victor Fajardo <[email-masked]>
Date: Tue, 10 Jul 2007 09:54:50 -0400

Hi Soji,
> Can I assume NO_INBAND_SECURITY only if both of them doesn't support TLS

You can check-out sec 13 of bis-05. Let me know if the text is still 
unclear.

-- victor